Debian Bug report logs - #545032
devicekit-disks - Handles add actions of dm devices

version graph

Package: devicekit-disks; Maintainer for devicekit-disks is (unknown);

Reported by: Bastian Blank <waldi@debian.org>

Date: Fri, 4 Sep 2009 15:06:02 UTC

Severity: important

Found in version 008-1

Fixed in versions devicekit-disks/007-3, devicekit-disks/009-1

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#545032; Package devicekit-disks. (Fri, 04 Sep 2009 15:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
New Bug report received and forwarded. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Fri, 04 Sep 2009 15:06:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: submit@bugs.debian.org
Subject: devicekit-disks - Handles add actions of dm devices
Date: Fri, 4 Sep 2009 16:54:15 +0200
Package: devicekit-disks
Severity: critical

devicekit-disks adds its own udev rules that likes to handle add actions
of device-mapper devices. This will break arbitrary usage, for example
cryptsetup. So this is not allowed for anything except the device mapper
core with special precaution. Also it overwrites data already setup by
device mapper.

Bastian

-- 
Humans do claim a great deal for that particular emotion (love).
		-- Spock, "The Lights of Zetar", stardate 5725.6




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#545032; Package devicekit-disks. (Fri, 04 Sep 2009 15:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Fri, 04 Sep 2009 15:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 545032@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Bastian Blank <waldi@debian.org>, 545032@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#545032: devicekit-disks - Handles add actions of dm devices
Date: Fri, 04 Sep 2009 17:16:29 +0200
[Message part 1 (text/plain, inline)]
Bastian Blank wrote:
> Package: devicekit-disks
> Severity: critical
> 
> devicekit-disks adds its own udev rules that likes to handle add actions
> of device-mapper devices. This will break arbitrary usage, for example
> cryptsetup. So this is not allowed for anything except the device mapper
> core with special precaution. Also it overwrites data already setup by
> device mapper.

Hi Bastian,

could you elaborate how exactly it will break other applications, like cryptsetup.

Michael
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#545032; Package devicekit-disks. (Fri, 04 Sep 2009 19:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Fri, 04 Sep 2009 19:51:06 GMT) Full text and rfc822 format available.

Message #15 received at 545032@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 545032@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#545032: devicekit-disks - Handles add actions of dm devices
Date: Fri, 4 Sep 2009 21:41:20 +0200
On Fri, Sep 04, 2009 at 05:16:29PM +0200, Michael Biebl wrote:
> Bastian Blank wrote:
> > devicekit-disks adds its own udev rules that likes to handle add actions
> > of device-mapper devices. This will break arbitrary usage, for example
> > cryptsetup. So this is not allowed for anything except the device mapper
> > core with special precaution. Also it overwrites data already setup by
> > device mapper.
> could you elaborate how exactly it will break other applications, like cryptsetup.

#543983

But anyway, the duplication of the rules already warants this bug.

Bastian

-- 
Our way is peace.
		-- Septimus, the Son Worshiper, "Bread and Circuses",
		   stardate 4040.7.




Bug 545032 cloned as bug 545079. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Fri, 04 Sep 2009 19:57:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#545032; Package devicekit-disks. (Wed, 23 Sep 2009 14:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Wed, 23 Sep 2009 14:45:03 GMT) Full text and rfc822 format available.

Message #22 received at 545032@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Bastian Blank <waldi@debian.org>, 545032@bugs.debian.org, control@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#545032: Bug#545032: devicekit-disks - Handles add actions of dm devices
Date: Wed, 23 Sep 2009 16:36:54 +0200
[Message part 1 (text/plain, inline)]
severity 545032 important
thanks

Bastian Blank wrote:
> On Fri, Sep 04, 2009 at 05:16:29PM +0200, Michael Biebl wrote:
>> Bastian Blank wrote:
>>> devicekit-disks adds its own udev rules that likes to handle add actions
>>> of device-mapper devices. This will break arbitrary usage, for example
>>> cryptsetup. So this is not allowed for anything except the device mapper
>>> core with special precaution. Also it overwrites data already setup by
>>> device mapper.
>> could you elaborate how exactly it will break other applications, like cryptsetup.
> 
> #543983
> 
> But anyway, the duplication of the rules already warants this bug.

Right, but not with this severity. So downgrading to important.


Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Severity set to 'important' from 'critical' Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Wed, 23 Sep 2009 14:45:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#545032; Package devicekit-disks. (Wed, 23 Sep 2009 14:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Wed, 23 Sep 2009 14:51:06 GMT) Full text and rfc822 format available.

Message #29 received at 545032@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 545032@bugs.debian.org, control@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#545032: Bug#545032: devicekit-disks - Handles add actions of dm devices
Date: Wed, 23 Sep 2009 16:45:15 +0200
On Wed, Sep 23, 2009 at 04:36:54PM +0200, Michael Biebl wrote:
> Right, but not with this severity. So downgrading to important.

Sure with this. You break dmsetup. Anyway, will add a conflict.

Bastian

-- 
No one may kill a man.  Not for any purpose.  It cannot be condoned.
		-- Kirk, "Spock's Brain", stardate 5431.6




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#545032; Package devicekit-disks. (Wed, 23 Sep 2009 15:24:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Wed, 23 Sep 2009 15:24:14 GMT) Full text and rfc822 format available.

Message #34 received at 545032@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Bastian Blank <waldi@debian.org>
Cc: 545032@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#545032: Bug#545032: devicekit-disks - Handles add actions of dm devices
Date: Wed, 23 Sep 2009 17:06:00 +0200
[Message part 1 (text/plain, inline)]
Bastian Blank wrote:
> On Wed, Sep 23, 2009 at 04:36:54PM +0200, Michael Biebl wrote:
>> Right, but not with this severity. So downgrading to important.
> 
> Sure with this. You break dmsetup. Anyway, will add a conflict.

Adding a conflict is certainly not the way I want it to go, as dk-disks is meant
to work with dm devices.

Where exactly in the rules does it overwrite data setup by device mapper?
Which part exactly in the rules file does break other apps?
What do you suggest instead?

FWIW, this is the relevant part of the current (devicekit-disk 004-1) rules file:

##############################################################################################################

# pick up device-mapper data; this really should be done by rules installed
# by the device-mapper package
#

KERNEL!="dm-*", GOTO="device_mapper_end"
ACTION!="add|change", GOTO="device_mapper_end"

IMPORT{program}="devkit-disks-dm-export %M %m"
ENV{DKD_DM_NAME}!="?*", GOTO="device_mapper_end"

SYMLINK+="disk/by-id/dm-name-$env{DKD_DM_NAME}"
ENV{DKD_DM_UUID}=="?*", SYMLINK+="disk/by-id/dm-uuid-$env{DKD_DM_UUID}"

ENV{DKD_DM_STATE}=="SUSPENDED", GOTO="device_mapper_end"
ENV{DKD_DM_TARGET_TYPES}=="|*error*", GOTO="device_mapper_end"

IMPORT{program}="vol_id --export $tempnode"
OPTIONS="link_priority=-100"
ENV{DKD_DM_TARGET_TYPES}=="*snapshot-origin*", OPTIONS="link_priority=-90"
ENV{ID_FS_USAGE}=="filesystem|other|crypto", ENV{ID_FS_UUID_ENC}=="?*",
SYMLINK+="disk/by-uuid/$env{ID_FS_UUID_ENC}"
ENV{ID_FS_USAGE}=="filesystem|other", ENV{ID_FS_LABEL_ENC}=="?*",
SYMLINK+="disk/by-label/$env{ID_FS_LABEL_ENC}"

LABEL="device_mapper_end"

##############################################################################################################


The next upload of dk-disks (devicekit-disk 007-1) will contain

##############################################################################################################

# pick up device-mapper data; this REALLY should be done by rules installed
# by the device-mapper package
#
KERNEL!="dm-*", GOTO="device_mapper_end"
ACTION!="add|change", GOTO="device_mapper_end"

IMPORT{program}="devkit-disks-dm-export %M %m"
ENV{DKD_DM_NAME}!="?*", GOTO="device_mapper_end"

ENV{DKD_DM_STATE}=="SUSPENDED", GOTO="device_mapper_end"
ENV{DKD_DM_TARGET_TYPES}=="|*error*", GOTO="device_mapper_end"

# avoid probing if it has already been done earlier
#
ENV{ID_FS_USAGE}!="", GOTO="device_mapper_end"
IMPORT{program}="/sbin/blkid -o udev -p $tempnode"

LABEL="device_mapper_end"

##############################################################################################################


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#545032; Package devicekit-disks. (Thu, 24 Sep 2009 21:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Thu, 24 Sep 2009 21:03:03 GMT) Full text and rfc822 format available.

Message #39 received at 545032@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 545032@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#545032: Bug#545032: devicekit-disks - Handles add actions of dm devices
Date: Thu, 24 Sep 2009 22:58:53 +0200
On Wed, Sep 23, 2009 at 05:06:00PM +0200, Michael Biebl wrote:
> Bastian Blank wrote:
> > On Wed, Sep 23, 2009 at 04:36:54PM +0200, Michael Biebl wrote:
> >> Right, but not with this severity. So downgrading to important.
> > Sure with this. You break dmsetup. Anyway, will add a conflict.
> Adding a conflict is certainly not the way I want it to go, as dk-disks is meant
> to work with dm devices.

As long as it doesn't follow the rules, a conflict is correct.

> What do you suggest instead?

Remove it. dmsetup does the complete setup in favour of lvm and the
other devmapper using tools.

Bastian

-- 
Where there's no emotion, there's no motive for violence.
		-- Spock, "Dagger of the Mind", stardate 2715.1




Added indication that bug 545032 blocks 550434 Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Sat, 10 Oct 2009 03:06:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#545032; Package devicekit-disks. (Sat, 10 Oct 2009 03:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sat, 10 Oct 2009 03:24:07 GMT) Full text and rfc822 format available.

Message #46 received at 545032@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 545032@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#545032: Bug#545032: devicekit-disks - Handles add actions of dm devices
Date: Sat, 10 Oct 2009 05:13:22 +0200
On Wed, Sep 23, 2009 at 04:36:54PM +0200, Michael Biebl wrote:
> > But anyway, the duplication of the rules already warants this bug.
> Right, but not with this severity. So downgrading to important.

The rules are set by the kernel and userspace part of device-mapper to
make several of its users work. So the next step is to enforce them from
the kernel.

The rules provided by dmsetup provide the information you need in
DM_NAME, DM_UUID and maybe DM_SUSPENDED.

Bastian

-- 
Lots of people drink from the wrong bottle sometimes.
		-- Edith Keeler, "The City on the Edge of Forever",
		   stardate unknown




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#545032; Package devicekit-disks. (Sun, 11 Oct 2009 19:09:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 11 Oct 2009 19:09:15 GMT) Full text and rfc822 format available.

Message #51 received at 545032@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: Michael Biebl <biebl@debian.org>, 545032@bugs.debian.org
Cc: Bastian Blank <waldi@debian.org>
Subject: Re: Bug#545032: [Pkg-utopia-maintainers] Bug#545032: Bug#545032: devicekit-disks - Handles add actions of dm devices
Date: Sun, 11 Oct 2009 21:04:09 +0200
* Michael Biebl (biebl@debian.org) [091011 18:58]:
> Where exactly in the rules does it overwrite data setup by device mapper?
> Which part exactly in the rules file does break other apps?
> What do you suggest instead?

I think this are the core questions, and we should try to get to an
"at least" working configuration soon.


As what I read from the bug report, Bastian prefers to have all udev
rules in dmsetup. Would that work for you? If not, why not? Or: What
do you need from udev what is not in dmsetup?

Bastian, same questions to you: Is there any reason why we can't at
all have a working set of udev rules in devicekit-disks? (I'm not
necessarily speaking about the current rules, but why it is impossible
to have any udev rules in the package at all.)

I'd like to push towards an resolution of this issue that works, and
makes our users happy. I don't have an strict opinion how the
resolutions looks otherwise, and would like to make a decision
together how we can reach that best.


Cheers,
Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#545032; Package devicekit-disks. (Sun, 11 Oct 2009 20:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 11 Oct 2009 20:15:10 GMT) Full text and rfc822 format available.

Message #56 received at 545032@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Andreas Barth <aba@not.so.argh.org>
Cc: Michael Biebl <biebl@debian.org>, 545032@bugs.debian.org
Subject: Re: Bug#545032: [Pkg-utopia-maintainers] Bug#545032: Bug#545032: devicekit-disks - Handles add actions of dm devices
Date: Sun, 11 Oct 2009 22:08:09 +0200
On Sun, Oct 11, 2009 at 09:04:09PM +0200, Andreas Barth wrote:
> As what I read from the bug report, Bastian prefers to have all udev
> rules in dmsetup.

Not in dmsetup, but in the package that controls that sort of device. So
dmsetup for the core rules, lvm2 for the lvm specific rules, cryptsetup
for their rules (if necessary, I don't know). Because they control there
own devices, they may also break it.

> Bastian, same questions to you: Is there any reason why we can't at
> all have a working set of udev rules in devicekit-disks? (I'm not
> necessarily speaking about the current rules, but why it is impossible
> to have any udev rules in the package at all.)

As long as the rules only change the behaviour of the tools in this
package, but not just copy other rules and also follow the other rules
about introspection, I don't see a general problem.

However, the current rules file does the following.
- Probe for partitions, aka open, on all block devices with a (small)
  blacklist. This can be only allowed with a whitelist, as several
  device types may not be queried from add events or not at all, like
  several dm subtypes.
- Try to get informations about dm devices from add events.
- Use blkid on dm devices even if this are hidden devices that must not
  show up via filesystem infos. Also done from add events, something
  that can never be allowed.
- Examine linux raid devices with mdadm. This is the sole responsibility
  of the mdadm package.
- Examine SMART state, only set informations.
- Tag devices without known prefix and with an undocumented list of
  devices.

The first point needs to be changed to a whitelist. The second only
provides information used by them but it is undetermined if it will
work and newer kernels change the way to actually get the information in
this state. The third one needs to go. The forth is not my problem but I don't
like it. The fifth is okay. The informations set in the sixth should get
a known prefix.

Bastian

-- 
Power is danger.
		-- The Centurion, "Balance of Terror", stardate 1709.2




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#545032; Package devicekit-disks. (Tue, 13 Oct 2009 15:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 13 Oct 2009 15:57:03 GMT) Full text and rfc822 format available.

Message #61 received at 545032@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Bastian Blank <waldi@debian.org>, 545032@bugs.debian.org
Cc: Andreas Barth <aba@not.so.argh.org>
Subject: Re: [Pkg-utopia-maintainers] Bug#545032: Bug#545032: Bug#545032: devicekit-disks - Handles add actions of dm devices
Date: Tue, 13 Oct 2009 17:45:27 +0200
[Message part 1 (text/plain, inline)]
Bastian Blank schrieb:
> On Sun, Oct 11, 2009 at 09:04:09PM +0200, Andreas Barth wrote:
>> As what I read from the bug report, Bastian prefers to have all udev
>> rules in dmsetup.
> 
> Not in dmsetup, but in the package that controls that sort of device. So
> dmsetup for the core rules, lvm2 for the lvm specific rules, cryptsetup
> for their rules (if necessary, I don't know). Because they control there
> own devices, they may also break it.
> 
>> Bastian, same questions to you: Is there any reason why we can't at
>> all have a working set of udev rules in devicekit-disks? (I'm not
>> necessarily speaking about the current rules, but why it is impossible
>> to have any udev rules in the package at all.)
> 
> As long as the rules only change the behaviour of the tools in this
> package, but not just copy other rules and also follow the other rules
> about introspection, I don't see a general problem.
> 
> However, the current rules file does the following.
> - Probe for partitions, aka open, on all block devices with a (small)
>   blacklist. This can be only allowed with a whitelist, as several
>   device types may not be queried from add events or not at all, like
>   several dm subtypes.
> - Try to get informations about dm devices from add events.
> - Use blkid on dm devices even if this are hidden devices that must not
>   show up via filesystem infos. Also done from add events, something
>   that can never be allowed.
> - Examine linux raid devices with mdadm. This is the sole responsibility
>   of the mdadm package.
> - Examine SMART state, only set informations.
> - Tag devices without known prefix and with an undocumented list of
>   devices.
> 
> The first point needs to be changed to a whitelist. The second only
> provides information used by them but it is undetermined if it will
> work and newer kernels change the way to actually get the information in
> this state. The third one needs to go. The forth is not my problem but I don't
> like it. The fifth is okay. The informations set in the sixth should get
> a known prefix.
> 

We can safely remove the call to "/sbin/mdadm --examine --export
$tempnode" in the mdadm section of 95-devkit-disks.rules (actually the
complete mdadm section) as the mdadm udev rules handle that for us.

We can also safely remove the call to "/sbin/blkid -o udev -p $tempnode"
in the device-mapper section, as the dmsetup udev rules will do that for us.
What we can not remove currently, is the call to devkit-disks-dm-export,
as it makes additional information available like (DKM_)DM_TARGET_TYPES,
which is used inside the dk-disks code.

So, before we can remove the call to devkit-disks-dm-export, dmsetup
needs to be fixed to export that information. It seems you just removed
this kind of information in commit r730.

If you readd the dmsetup-export.patch, I could patch the dk-disks code
to use DM_TARGET_TYPES and DM_NAME instead of DKD_DM_TARGET_TYPES and
DKD_DM_NAME.

Does that sound like a plan to you?


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#545032; Package devicekit-disks. (Tue, 13 Oct 2009 16:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 13 Oct 2009 16:51:09 GMT) Full text and rfc822 format available.

Message #66 received at 545032@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 545032@bugs.debian.org, Andreas Barth <aba@not.so.argh.org>
Subject: Re: [Pkg-utopia-maintainers] Bug#545032: Bug#545032: Bug#545032: devicekit-disks - Handles add actions of dm devices
Date: Tue, 13 Oct 2009 18:25:27 +0200
On Tue, Oct 13, 2009 at 05:45:27PM +0200, Michael Biebl wrote:
> What we can not remove currently, is the call to devkit-disks-dm-export,
> as it makes additional information available like (DKM_)DM_TARGET_TYPES,
> which is used inside the dk-disks code.

Please explain which highlevel information you need.

DM_TARGET_TYPES is only used to find the string "crypt" in it and I
already explained several times that DM_UUID==CRYPT-* is a quite better
indicator, completely functional in the near future with cryptsetup 1.1.

Bastian

-- 
Four thousand throats may be cut in one night by a running man.
		-- Klingon Soldier, "Day of the Dove", stardate unknown




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#545032; Package devicekit-disks. (Thu, 15 Oct 2009 13:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Thu, 15 Oct 2009 13:21:03 GMT) Full text and rfc822 format available.

Message #71 received at 545032@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Bastian Blank <waldi@debian.org>, 545032@bugs.debian.org
Cc: David Zeuthen <davidz@redhat.com>, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>, martin f krafft <madduck@debian.org>
Subject: Re: [Pkg-utopia-maintainers] Bug#545032: Bug#545032: Bug#545032: Bug#545032: devicekit-disks - Handles add actions of dm devices
Date: Thu, 15 Oct 2009 14:44:23 +0200
[Message part 1 (text/plain, inline)]
Bastian Blank wrote:
> On Tue, Oct 13, 2009 at 05:45:27PM +0200, Michael Biebl wrote:
>> What we can not remove currently, is the call to devkit-disks-dm-export,
>> as it makes additional information available like (DKM_)DM_TARGET_TYPES,
>> which is used inside the dk-disks code.
> 
> Please explain which highlevel information you need.
> 
> DM_TARGET_TYPES is only used to find the string "crypt" in it and I
> already explained several times that DM_UUID==CRYPT-* is a quite better
> indicator, completely functional in the near future with cryptsetup 1.1.

Finally some useful information, thanks.

Attached is a patch which makes use of DM_UUID making it possible to completely
remove devkit-disks-dm-export, and it seems to work nicely.

Is the DM_UUID=CRYPT-* naming scheme documented somewhere? I'd like to send this
patch upstream and would need to know if it is a Debian specific feature.
If not, since what version of cryptsetup/dmsetup is this naming interface stable?


Thanks,
Michael

P.S: I have to retract my statement wrt to mdadm. I double checked the Debian
mdadm udev rules files, and it uses the upstream udev rules file that calls
"mdadm --detail", whereas the dk-disks udev rule calls "mdadm --examine". The
former seems to operate on the actual md device only, the latter on the
underlying physical device.
So I don't think it's safe to remove the mdadm section from
95-devkit-disks.rules just yet without further investigation.
I CCed the mdadm maintainers for their input. Maybe we could enable that "mdadm
--examine" in mdadm itself?

Anyways, this should probably be handled in a separate bug report as this one is
about dm devices. I just mentioned it, as you brought up the mdadm issue.

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?
[0001-Stop-probing-device-mapper-devices.patch (text/x-diff, inline)]
From 9aca432753e8e4fbaacf09b47bdf374765397232 Mon Sep 17 00:00:00 2001
From: Michael Biebl <biebl@debian.org>
Date: Thu, 15 Oct 2009 14:26:17 +0200
Subject: [PATCH 1/2] Stop probing device-mapper devices

Use DM_NAME and DM_UUID which are already setup by the dmsetup udev
rules.
See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=545032
---
 data/95-devkit-disks.rules |   21 ---------------------
 src/devkit-disks-device.c  |   17 +++++++++--------
 2 files changed, 9 insertions(+), 29 deletions(-)

diff --git a/data/95-devkit-disks.rules b/data/95-devkit-disks.rules
index fbb85a0..f8fad85 100644
--- a/data/95-devkit-disks.rules
+++ b/data/95-devkit-disks.rules
@@ -29,27 +29,6 @@ LABEL="probe_parttable_end"
 
 ##############################################################################################################
 
-# pick up device-mapper data; this REALLY should be done by rules installed
-# by the device-mapper package
-#
-KERNEL!="dm-*", GOTO="device_mapper_end"
-ACTION!="add|change", GOTO="device_mapper_end"
-
-IMPORT{program}="devkit-disks-dm-export %M %m"
-ENV{DKD_DM_NAME}!="?*", GOTO="device_mapper_end"
-
-ENV{DKD_DM_STATE}=="SUSPENDED", GOTO="device_mapper_end"
-ENV{DKD_DM_TARGET_TYPES}=="|*error*", GOTO="device_mapper_end"
-
-# avoid probing if it has already been done earlier
-#
-ENV{ID_FS_USAGE}!="", GOTO="device_mapper_end"
-IMPORT{program}="/sbin/blkid -o udev -p $tempnode"
-
-LABEL="device_mapper_end"
-
-##############################################################################################################
-
 # pick up data from MD components; this REALLY should be done by rules installed
 # by mdadm or the kernel package
 #
diff --git a/src/devkit-disks-device.c b/src/devkit-disks-device.c
index 5af03ce..58de2fd 100644
--- a/src/devkit-disks-device.c
+++ b/src/devkit-disks-device.c
@@ -2200,21 +2200,22 @@ static gboolean
 update_info_luks_cleartext (DevkitDisksDevice *device)
 {
         uid_t unlocked_by_uid;
-        const gchar *dkd_dm_name;
-        const gchar *dkd_dm_target_types;
+        const gchar *dm_name;
+        const gchar *dm_uuid;
         gboolean ret;
 
         ret = FALSE;
 
-        dkd_dm_name = g_udev_device_get_property (device->priv->d, "DKD_DM_NAME");
-        dkd_dm_target_types = g_udev_device_get_property (device->priv->d, "DKD_DM_TARGET_TYPES");
-        if (dkd_dm_name != NULL && g_strcmp0 (dkd_dm_target_types, "crypt") == 0 &&
+        dm_name = g_udev_device_get_property (device->priv->d, "DM_NAME");
+        dm_uuid = g_udev_device_get_property (device->priv->d, "DM_UUID");
+        if (dm_name != NULL && g_str_has_prefix (dm_uuid, "CRYPT-") &&
             device->priv->slaves_objpath->len == 1) {
 
                 /* TODO: might be racing with setting is_drive earlier */
                 devkit_disks_device_set_device_is_drive (device, FALSE);
 
-                if (g_str_has_prefix (dkd_dm_name, "temporary-cryptsetup-")) {
+                /* Debian already hides temporary cryptsetup devices, so this check could probably be removed? */
+                if (g_str_has_prefix (dm_name, "temporary-cryptsetup-")) {
                         /* ignore temporary devices created by /sbin/cryptsetup */
                         goto out;
                 }
@@ -2223,12 +2224,12 @@ update_info_luks_cleartext (DevkitDisksDevice *device)
 
                 devkit_disks_device_set_luks_cleartext_slave (device, ((gchar **) device->priv->slaves_objpath->pdata)[0]);
 
-                if (luks_get_uid_from_dm_name (dkd_dm_name, &unlocked_by_uid)) {
+                if (luks_get_uid_from_dm_name (dm_name, &unlocked_by_uid)) {
                         devkit_disks_device_set_luks_cleartext_unlocked_by_uid (device, unlocked_by_uid);
                 }
 
                 /* TODO: export this at some point */
-                devkit_disks_device_set_dm_name (device, dkd_dm_name);
+                devkit_disks_device_set_dm_name (device, dm_name);
         } else {
                 devkit_disks_device_set_device_is_luks_cleartext (device, FALSE);
                 devkit_disks_device_set_luks_cleartext_slave (device, NULL);
-- 
1.6.5

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#545032; Package devicekit-disks. (Thu, 15 Oct 2009 18:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Thu, 15 Oct 2009 18:27:09 GMT) Full text and rfc822 format available.

Message #76 received at 545032@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 545032@bugs.debian.org, David Zeuthen <davidz@redhat.com>
Subject: Re: [Pkg-utopia-maintainers] Bug#545032: Bug#545032: Bug#545032: Bug#545032: devicekit-disks - Handles add actions of dm devices
Date: Thu, 15 Oct 2009 20:15:22 +0200
[ Triming mdadm maintainers from CC. ]

On Thu, Oct 15, 2009 at 02:44:23PM +0200, Michael Biebl wrote:
> Is the DM_UUID=CRYPT-* naming scheme documented somewhere? I'd like to send this
> patch upstream and would need to know if it is a Debian specific feature.

I forgot to cite the information I got from the cryptsetup maintainer.
The current state is documented in #548988.

> If not, since what version of cryptsetup/dmsetup is this naming interface stable?

1.0.7 have CRYPT-$UUID for luks devices. 1.1, which is supposed to be
released shortly, will have CRYPT-PLAIN-* and CRYPT-LUKS-*.

I'm still not fully aware what you are really trying to detect. The code 
is so full of comments in the relevant section, this makes it not easier  
to give comments.

I see three possibilities:
- Destinguish between uncrypted and crypted devices (the luks
  description would be wrong then).
- Destinguish between plain crypted and luks crypted devices.
- Destinguish between luks crypted and anything else.

The last looks like the correct one according to the names and checks.
The correct check for this one would be:
CRYPT-[0-9a-f]* || CRYPT-LUKS-*
The check for temporary-cryptsetup-* can go then. This will catch
anything from cryptsetup 1.0.7 up.

It makes no sense to comment on the actual check if I don't know what it
should do.

Bastian

-- 
There is an order of things in this universe.
		-- Apollo, "Who Mourns for Adonais?" stardate 3468.1




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#545032; Package devicekit-disks. (Thu, 15 Oct 2009 19:54:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Thu, 15 Oct 2009 19:54:10 GMT) Full text and rfc822 format available.

Message #81 received at 545032@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 545032@bugs.debian.org, David Zeuthen <davidz@redhat.com>
Subject: Re: [Pkg-utopia-maintainers] Bug#545032: Bug#545032: Bug#545032: Bug#545032: devicekit-disks - Handles add actions of dm devices
Date: Thu, 15 Oct 2009 21:48:44 +0200
On Thu, Oct 15, 2009 at 08:15:22PM +0200, Bastian Blank wrote:
> On Thu, Oct 15, 2009 at 02:44:23PM +0200, Michael Biebl wrote:
> > If not, since what version of cryptsetup/dmsetup is this naming interface stable?
>                                          1.1, which is supposed to be
> released shortly, will have CRYPT-PLAIN-* and CRYPT-LUKS-*.

cryptsetup 1.1(~rc2) reached unstable today. Also it is CRYPT-LUKS1-*
(note the 1).

> - Destinguish between luks crypted and anything else.

Some additional looks only allow this variant to stay and the original
check is not able to do that.

Bastian

-- 
Suffocating together ... would create heroic camaraderie.
		-- Khan Noonian Singh, "Space Seed", stardate 3142.8




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#545032; Package devicekit-disks. (Fri, 16 Oct 2009 02:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Fri, 16 Oct 2009 02:45:02 GMT) Full text and rfc822 format available.

Message #86 received at 545032@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Bastian Blank <waldi@debian.org>
Cc: 545032@bugs.debian.org, David Zeuthen <davidz@redhat.com>
Subject: Re: [Pkg-utopia-maintainers] Bug#545032: Bug#545032: Bug#545032: Bug#545032: devicekit-disks - Handles add actions of dm devices
Date: Fri, 16 Oct 2009 04:37:53 +0200
[Message part 1 (text/plain, inline)]
Bastian Blank wrote:
> [ Triming mdadm maintainers from CC. ]

> 
> The last looks like the correct one according to the names and checks.
> The correct check for this one would be:
> CRYPT-[0-9a-f]* || CRYPT-LUKS-*
> The check for temporary-cryptsetup-* can go then. This will catch
> anything from cryptsetup 1.0.7 up.

Assuming we want to distinguish luks devices, I updated the patch based on your
suggestions

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?
[08-dont-probe-dm-devices.patch (text/x-diff, inline)]
From 9aca432753e8e4fbaacf09b47bdf374765397232 Mon Sep 17 00:00:00 2001
From: Michael Biebl <biebl@debian.org>
Date: Thu, 15 Oct 2009 14:26:17 +0200
Subject: [PATCH 1/2] Stop probing device-mapper devices

Use DM_NAME and DM_UUID which are already setup by the dmsetup udev
rules.
See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=545032
---
 data/95-devkit-disks.rules |   21 ---------------------
 src/devkit-disks-device.c  |   17 +++++++++--------
 2 files changed, 9 insertions(+), 29 deletions(-)

Index: devicekit-disks/data/95-devkit-disks.rules
===================================================================
--- devicekit-disks.orig/data/95-devkit-disks.rules	2009-10-16 04:11:03.000000000 +0200
+++ devicekit-disks/data/95-devkit-disks.rules	2009-10-16 04:11:03.000000000 +0200
@@ -29,27 +29,6 @@
 
 ##############################################################################################################
 
-# pick up device-mapper data; this REALLY should be done by rules installed
-# by the device-mapper package
-#
-KERNEL!="dm-*", GOTO="device_mapper_end"
-ACTION!="add|change", GOTO="device_mapper_end"
-
-IMPORT{program}="devkit-disks-dm-export %M %m"
-ENV{DKD_DM_NAME}!="?*", GOTO="device_mapper_end"
-
-ENV{DKD_DM_STATE}=="SUSPENDED", GOTO="device_mapper_end"
-ENV{DKD_DM_TARGET_TYPES}=="|*error*", GOTO="device_mapper_end"
-
-# avoid probing if it has already been done earlier
-#
-ENV{ID_FS_USAGE}!="", GOTO="device_mapper_end"
-IMPORT{program}="/sbin/blkid -o udev -p $tempnode"
-
-LABEL="device_mapper_end"
-
-##############################################################################################################
-
 # pick up data from MD components; this REALLY should be done by rules installed
 # by mdadm or the kernel package
 #
Index: devicekit-disks/src/devkit-disks-device.c
===================================================================
--- devicekit-disks.orig/src/devkit-disks-device.c	2009-10-16 04:11:03.000000000 +0200
+++ devicekit-disks/src/devkit-disks-device.c	2009-10-16 04:14:30.000000000 +0200
@@ -2200,21 +2200,24 @@
 update_info_luks_cleartext (DevkitDisksDevice *device)
 {
         uid_t unlocked_by_uid;
-        const gchar *dkd_dm_name;
-        const gchar *dkd_dm_target_types;
+        const gchar *dm_name;
+        const gchar *dm_uuid;
         gboolean ret;
 
         ret = FALSE;
 
-        dkd_dm_name = g_udev_device_get_property (device->priv->d, "DKD_DM_NAME");
-        dkd_dm_target_types = g_udev_device_get_property (device->priv->d, "DKD_DM_TARGET_TYPES");
-        if (dkd_dm_name != NULL && g_strcmp0 (dkd_dm_target_types, "crypt") == 0 &&
+        dm_name = g_udev_device_get_property (device->priv->d, "DM_NAME");
+        dm_uuid = g_udev_device_get_property (device->priv->d, "DM_UUID");
+        if (dm_name != NULL && dm_uuid != NULL &&
+            (g_str_has_prefix (dm_uuid, "CRYPT-LUKS1") ||
+             g_regex_match_simple ("^CRYPT-[a-f0-9-]+$", dm_uuid, 0, 0)) &&
             device->priv->slaves_objpath->len == 1) {
 
                 /* TODO: might be racing with setting is_drive earlier */
                 devkit_disks_device_set_device_is_drive (device, FALSE);
 
-                if (g_str_has_prefix (dkd_dm_name, "temporary-cryptsetup-")) {
+                /* Debian already hides temporary cryptsetup devices, so this check could probably be removed? */
+                if (g_str_has_prefix (dm_name, "temporary-cryptsetup-")) {
                         /* ignore temporary devices created by /sbin/cryptsetup */
                         goto out;
                 }
@@ -2223,12 +2226,12 @@
 
                 devkit_disks_device_set_luks_cleartext_slave (device, ((gchar **) device->priv->slaves_objpath->pdata)[0]);
 
-                if (luks_get_uid_from_dm_name (dkd_dm_name, &unlocked_by_uid)) {
+                if (luks_get_uid_from_dm_name (dm_name, &unlocked_by_uid)) {
                         devkit_disks_device_set_luks_cleartext_unlocked_by_uid (device, unlocked_by_uid);
                 }
 
                 /* TODO: export this at some point */
-                devkit_disks_device_set_dm_name (device, dkd_dm_name);
+                devkit_disks_device_set_dm_name (device, dm_name);
         } else {
                 devkit_disks_device_set_device_is_luks_cleartext (device, FALSE);
                 devkit_disks_device_set_luks_cleartext_slave (device, NULL);
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#545032; Package devicekit-disks. (Fri, 16 Oct 2009 06:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Fri, 16 Oct 2009 06:39:03 GMT) Full text and rfc822 format available.

Message #91 received at 545032@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 545032@bugs.debian.org, David Zeuthen <davidz@redhat.com>
Subject: Re: [Pkg-utopia-maintainers] Bug#545032: Bug#545032: Bug#545032: Bug#545032: devicekit-disks - Handles add actions of dm devices
Date: Fri, 16 Oct 2009 08:33:36 +0200
On Fri, Oct 16, 2009 at 04:37:53AM +0200, Michael Biebl wrote:
> +            (g_str_has_prefix (dm_uuid, "CRYPT-LUKS1") ||
"CRYPT-LUKS1-", maybe there will be a CRYPT-LUKS10 someday.

> +             g_regex_match_simple ("^CRYPT-[a-f0-9-]+$", dm_uuid, 0, 0)) &&
"^CRYPT-[0-9a-f]", no need to have an anchor at the end.

> -                if (g_str_has_prefix (dkd_dm_name, "temporary-cryptsetup-")) {
> +                /* Debian already hides temporary cryptsetup devices, so this check could probably be removed? */
> +                if (g_str_has_prefix (dm_name, "temporary-cryptsetup-")) {
This check can go. This temporary devices either have no uuid
(cryptsetup < 1.1) or start with CRYPT-TEMP- (cryptsetup >= 1.1).

Bastian

-- 
Sometimes a feeling is all we humans have to go on.
		-- Kirk, "A Taste of Armageddon", stardate 3193.9




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#545032; Package devicekit-disks. (Fri, 16 Oct 2009 20:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Fri, 16 Oct 2009 20:48:03 GMT) Full text and rfc822 format available.

Message #96 received at 545032@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Bastian Blank <waldi@debian.org>, 545032@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#545032: Bug#545032: Bug#545032: Bug#545032: Bug#545032: devicekit-disks - Handles add actions of dm devices
Date: Fri, 16 Oct 2009 22:45:25 +0200
[Message part 1 (text/plain, inline)]
I adressed the issues you mentioned [1] and just uploaded 007-3 to unstable.

Michael

[1] http://git.debian.org/?p=pkg-utopia/devicekit-disks.git;a=summary
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#545032; Package devicekit-disks. (Fri, 16 Oct 2009 21:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Fri, 16 Oct 2009 21:48:07 GMT) Full text and rfc822 format available.

Message #101 received at 545032@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 545032@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#545032: Bug#545032: Bug#545032: Bug#545032: Bug#545032: devicekit-disks - Handles add actions of dm devices
Date: Fri, 16 Oct 2009 23:43:52 +0200
On Fri, Oct 16, 2009 at 10:45:25PM +0200, Michael Biebl wrote:
> I adressed the issues you mentioned [1] and just uploaded 007-3 to unstable.

Okay. What about point 1 of my list? This still probes device-mapper
devices.

Bastian

-- 
Lots of people drink from the wrong bottle sometimes.
		-- Edith Keeler, "The City on the Edge of Forever",
		   stardate unknown




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#545032; Package devicekit-disks. (Fri, 16 Oct 2009 21:57:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Fri, 16 Oct 2009 21:57:22 GMT) Full text and rfc822 format available.

Message #106 received at 545032@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 545032@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#545032: Bug#545032: Bug#545032: Bug#545032: Bug#545032: devicekit-disks - Handles add actions of dm devices
Date: Fri, 16 Oct 2009 23:55:55 +0200
On Fri, Oct 16, 2009 at 11:43:52PM +0200, Bastian Blank wrote:
> On Fri, Oct 16, 2009 at 10:45:25PM +0200, Michael Biebl wrote:
> > I adressed the issues you mentioned [1] and just uploaded 007-3 to unstable.
> Okay. What about point 1 of my list? This still probes device-mapper
> devices.

This patch should use an apropriate whitelist.

--- a/data/95-devkit-disks.rules
+++ b/data/95-devkit-disks.rules
@@ -12,7 +12,7 @@
 #
 
 # skip rules for inappropriate block devices
-KERNEL=="fd*|mtd*|nbd*|gnbd*|btibm*", GOTO="probe_parttable_end"
+KERNEL!="hd*|sd*|sr*|cciss*|dasd*", GOTO="probe_parttable_end"
 
 # never access non-cdrom removable ide devices, the drivers are causing event loops on open()
 KERNEL=="hd*[!0-9]", ATTR{removable}=="1", SUBSYSTEMS=="ide", ATTRS{media}=="disk|floppy", GOTO="probe_parttable_end"

Bastian

-- 
Is truth not truth for all?
		-- Natira, "For the World is Hollow and I have Touched
		   the Sky", stardate 5476.4.




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#545032; Package devicekit-disks. (Fri, 16 Oct 2009 22:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Fri, 16 Oct 2009 22:09:04 GMT) Full text and rfc822 format available.

Message #111 received at 545032@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Bastian Blank <waldi@debian.org>, 545032@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#545032: Bug#545032: Bug#545032: Bug#545032: Bug#545032: Bug#545032: devicekit-disks - Handles add actions of dm devices
Date: Sat, 17 Oct 2009 00:02:19 +0200
[Message part 1 (text/plain, inline)]
Bastian Blank wrote:
> On Fri, Oct 16, 2009 at 10:45:25PM +0200, Michael Biebl wrote:
>> I adressed the issues you mentioned [1] and just uploaded 007-3 to unstable.
> 
> Okay. What about point 1 of my list? This still probes device-mapper
> devices.

What? Where?


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#545032; Package devicekit-disks. (Fri, 16 Oct 2009 22:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Zeuthen <davidz@redhat.com>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Fri, 16 Oct 2009 22:33:04 GMT) Full text and rfc822 format available.

Message #116 received at 545032@bugs.debian.org (full text, mbox):

From: David Zeuthen <davidz@redhat.com>
To: Michael Biebl <biebl@debian.org>
Cc: Bastian Blank <waldi@debian.org>, 545032@bugs.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>, martin f krafft <madduck@debian.org>
Subject: Re: [Pkg-utopia-maintainers] Bug#545032: Bug#545032: Bug#545032: Bug#545032: devicekit-disks - Handles add actions of dm devices
Date: Fri, 16 Oct 2009 18:20:48 -0400
On Thu, 2009-10-15 at 14:44 +0200, Michael Biebl wrote:
> Bastian Blank wrote:
> > On Tue, Oct 13, 2009 at 05:45:27PM +0200, Michael Biebl wrote:
> >> What we can not remove currently, is the call to devkit-disks-dm-export,
> >> as it makes additional information available like (DKM_)DM_TARGET_TYPES,
> >> which is used inside the dk-disks code.
> > 
> > Please explain which highlevel information you need.
> > 
> > DM_TARGET_TYPES is only used to find the string "crypt" in it and I
> > already explained several times that DM_UUID==CRYPT-* is a quite better
> > indicator, completely functional in the near future with cryptsetup 1.1.
> 
> Finally some useful information, thanks.
> 
> Attached is a patch which makes use of DM_UUID making it possible to completely
> remove devkit-disks-dm-export, and it seems to work nicely.
> 
> Is the DM_UUID=CRYPT-* naming scheme documented somewhere? I'd like to send this
> patch upstream and would need to know if it is a Debian specific feature.
> If not, since what version of cryptsetup/dmsetup is this naming interface stable?

Yeah, I'd like to know exactly how much of this can be expected to be in
other distros.  FWIW, I've been telling the LVM/device-mapper guys for a
long time to include udev rules etc. in the stock upstream release. I
know they are planning to do that but I'm not sure it's there yet. If
there is, please point me to it.

Anyway, that's the reason why I have my own prober, udev rules and
name-spaced properties. This will have to stay in the upstream
distribution of DKD until there's an upstream release of
LVM/device-mapper with what I need.

Thanks,
David






Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Fri, 16 Oct 2009 23:00:08 GMT) Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. (Fri, 16 Oct 2009 23:00:08 GMT) Full text and rfc822 format available.

Message #121 received at 545032-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 545032-close@bugs.debian.org
Subject: Bug#545032: fixed in devicekit-disks 007-3
Date: Fri, 16 Oct 2009 22:33:00 +0000
Source: devicekit-disks
Source-Version: 007-3

We believe that the bug you reported is fixed in the latest version of
devicekit-disks, which is due to be installed in the Debian FTP archive:

devicekit-disks-doc_007-3_all.deb
  to pool/main/d/devicekit-disks/devicekit-disks-doc_007-3_all.deb
devicekit-disks_007-3.diff.gz
  to pool/main/d/devicekit-disks/devicekit-disks_007-3.diff.gz
devicekit-disks_007-3.dsc
  to pool/main/d/devicekit-disks/devicekit-disks_007-3.dsc
devicekit-disks_007-3_i386.deb
  to pool/main/d/devicekit-disks/devicekit-disks_007-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 545032@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated devicekit-disks package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 16 Oct 2009 22:35:32 +0200
Source: devicekit-disks
Binary: devicekit-disks devicekit-disks-doc
Architecture: source all i386
Version: 007-3
Distribution: unstable
Urgency: low
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 devicekit-disks - abstraction for enumerating block devices
 devicekit-disks-doc - abstraction for enumerating block devices - documentation
Closes: 545032 550773
Changes: 
 devicekit-disks (007-3) unstable; urgency=low
 .
   [ Martin Pitt ]
   * Add debian/local/apport-hook.py: Apport package hook for collecting
     hardware information, devkit-disks --dump, mounts, and fstab. Install it
     in debian/rules when building on Ubuntu. Add "lsb-release" build
     dependency for this.
   * Add 07-media-player-icon.patch: Use "media-player" icon for storage
     devices tagged with ID_MEDIA_PLAYER. (LP: #440290)
 .
   [ Michael Biebl ]
   * debian/control
     - Add Recommends on policykit-1.
     - Add Recommends on hdparm which is required for disk spin down.
       (Closes: #550773)
   * debian/patches/08-dont-probe-dm-devices.patch
     - Don't probe device-mapper devices and instead use the information that
       is already available in DM_NAME and DM_UUID. (Closes: #545032)
Checksums-Sha1: 
 7777d3689edc060a6c0b1a200dbe82103aebe57d 1768 devicekit-disks_007-3.dsc
 132d375e417cdcf67a594e9eba43979bdd0bed90 11506 devicekit-disks_007-3.diff.gz
 b41c8446a8860bbd98232f3e708e91d212f2c915 55144 devicekit-disks-doc_007-3_all.deb
 cab8938fc1f7011288ecf37e271752f2fc6fb3fa 181460 devicekit-disks_007-3_i386.deb
Checksums-Sha256: 
 e9442e48a5424e752c61af6cc6c1e851ad199306d62883ccbe05fba864be361a 1768 devicekit-disks_007-3.dsc
 7488e30b6d28feb5e15e84cd10293a17b2254e2a6425d9d4baee4d3d68d49db5 11506 devicekit-disks_007-3.diff.gz
 009a319149a79959d3ddcf29207bad7493b1465c16be9caa2963a5128d252b45 55144 devicekit-disks-doc_007-3_all.deb
 d45d138f6a31c66556f03139b541ec3a2373bb63b86b91039eb026db3582772b 181460 devicekit-disks_007-3_i386.deb
Files: 
 cb0332e5c521a6ef53bf70514d538bb8 1768 admin optional devicekit-disks_007-3.dsc
 a0854fe776a2669c9c5d65432ebf2045 11506 admin optional devicekit-disks_007-3.diff.gz
 731e513eee50425defc3b6860beaeaf8 55144 doc optional devicekit-disks-doc_007-3_all.deb
 96cd0efb4c8529fbe731a745109f8b88 181460 admin optional devicekit-disks_007-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkrY2nUACgkQh7PER70FhVQ3rgCgi6YOjrdYIHoQYgQH36Ye63oc
f5kAnAg2Sadh9xb0bF0S43NOT2RAvH67
=Z16M
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#545032; Package devicekit-disks. (Sat, 17 Oct 2009 15:30:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Pieuchot <nls.pct@gmail.com>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sat, 17 Oct 2009 15:30:37 GMT) Full text and rfc822 format available.

Message #126 received at 545032@bugs.debian.org (full text, mbox):

From: Nicolas Pieuchot <nls.pct@gmail.com>
To: 545032@bugs.debian.org
Subject: Bug#545032: fixed in devicekit-disks 007-3
Date: Sat, 17 Oct 2009 17:16:57 +0200
It seems that the last sid version available of devicekit-disks is 008-1
and it's still not compatible with dmsetup.




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#545032; Package devicekit-disks. (Sun, 18 Oct 2009 08:09:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 18 Oct 2009 08:09:16 GMT) Full text and rfc822 format available.

Message #131 received at 545032@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 545032@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#545032: Bug#545032: Bug#545032: Bug#545032: Bug#545032: Bug#545032: devicekit-disks - Handles add actions of dm devices
Date: Sun, 18 Oct 2009 10:04:44 +0200
found 545032 008-1
thanks

On Sat, Oct 17, 2009 at 12:02:19AM +0200, Michael Biebl wrote:
> Bastian Blank wrote:
> > On Fri, Oct 16, 2009 at 10:45:25PM +0200, Michael Biebl wrote:
> >> I adressed the issues you mentioned [1] and just uploaded 007-3 to unstable.
> > Okay. What about point 1 of my list? This still probes device-mapper
> > devices.
> What? Where?

| KERNEL=="fd*|mtd*|nbd*|gnbd*|btibm*", GOTO="probe_parttable_end"
| IMPORT{program}="devkit-disks-part-id $tempnode"
| LABEL="probe_parttable_end"

devkit-disks-part-id opens the temporary device node to read data from
it.

Bastian

-- 
You!  What PLANET is this!
		-- McCoy, "The City on the Edge of Forever", stardate 3134.0




Bug Marked as found in versions 008-1 and reopened. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Sun, 18 Oct 2009 08:09:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#545032; Package devicekit-disks. (Sun, 18 Oct 2009 08:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 18 Oct 2009 08:36:07 GMT) Full text and rfc822 format available.

Message #138 received at 545032@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: David Zeuthen <davidz@redhat.com>
Cc: Michael Biebl <biebl@debian.org>, 545032@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#545032: Bug#545032: Bug#545032: Bug#545032: devicekit-disks - Handles add actions of dm devices
Date: Sun, 18 Oct 2009 10:19:30 +0200
On Fri, Oct 16, 2009 at 06:20:48PM -0400, David Zeuthen wrote:
> Yeah, I'd like to know exactly how much of this can be expected to be in
> other distros.

All of them.

>                 FWIW, I've been telling the LVM/device-mapper guys for a
> long time to include udev rules etc. in the stock upstream release. I
> know they are planning to do that but I'm not sure it's there yet. If
> there is, please point me to it.

Can you please explain why you don't check that yourself against an
uptodate rawhide system? If seen LVM2 2.02.52, the first version
shipping the rules, in the package list several weeks ago.

> Anyway, that's the reason why I have my own prober, udev rules and
> name-spaced properties. This will have to stay in the upstream
> distribution of DKD until there's an upstream release of
> LVM/device-mapper with what I need.

Well, your turn to break device-mapper.

Bastian

-- 
Spock: We suffered 23 casualties in that attack, Captain.




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#545032; Package devicekit-disks. (Sun, 18 Oct 2009 12:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 18 Oct 2009 12:33:04 GMT) Full text and rfc822 format available.

Message #143 received at 545032@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 545032@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#545032: Bug#545032: Bug#545032: Bug#545032: Bug#545032: devicekit-disks - Handles add actions of dm devices
Date: Sun, 18 Oct 2009 13:57:36 +0200
On Fri, Oct 16, 2009 at 11:55:55PM +0200, Bastian Blank wrote:
> On Fri, Oct 16, 2009 at 11:43:52PM +0200, Bastian Blank wrote:
> > Okay. What about point 1 of my list? This still probes device-mapper
> > devices.

| - Probe for partitions, aka open, on all block devices with a (small)
|   blacklist. This can be only allowed with a whitelist, as several
|   device types may not be queried from add events or not at all, like
|   several dm subtypes.

> This patch should use an apropriate whitelist.

Actually it lacks some safe device types.

--- a/data/95-devkit-disks.rules
+++ b/data/95-devkit-disks.rules
@@ -12,7 +12,7 @@
 #
 
 # skip rules for inappropriate block devices
-KERNEL=="fd*|mtd*|nbd*|gnbd*|btibm*", GOTO="probe_parttable_end"
+KERNEL!="hd*|sd*|sr*|cciss*|dasd*|mmcblk*|mspblk*", GOTO="probe_parttable_end"
 
 # never access non-cdrom removable ide devices, the drivers are causing event loops on open()
 KERNEL=="hd*[!0-9]", ATTR{removable}=="1", SUBSYSTEMS=="ide", ATTRS{media}=="disk|floppy", GOTO="probe_parttable_end"

And while you are at it, add dasd*|cciss* to the presentation list.

Bastian

-- 
You!  What PLANET is this!
		-- McCoy, "The City on the Edge of Forever", stardate 3134.0




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#545032; Package devicekit-disks. (Wed, 21 Oct 2009 14:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Wed, 21 Oct 2009 14:51:03 GMT) Full text and rfc822 format available.

Message #148 received at 545032@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 545032@bugs.debian.org
Subject: Re: Bug#545032: devicekit-disks - Handles add actions of dm devices
Date: Wed, 21 Oct 2009 13:08:38 +0200
[Message part 1 (text/plain, inline)]
also sprach Michael Biebl <biebl@debian.org> [2009.10.15.1444 +0200]:
> P.S: I have to retract my statement wrt to mdadm. I double checked the Debian
> mdadm udev rules files, and it uses the upstream udev rules file that calls
> "mdadm --detail", whereas the dk-disks udev rule calls "mdadm --examine". The
> former seems to operate on the actual md device only, the latter on the
> underlying physical device.
> So I don't think it's safe to remove the mdadm section from
> 95-devkit-disks.rules just yet without further investigation.
> I CCed the mdadm maintainers for their input. Maybe we could enable that "mdadm
> --examine" in mdadm itself?

I have no idea what you are talking about. What could be enabled in
mdadm itself?

A new bug report would be appreciated.

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
 
"men always want to be a woman's first love.
 women have a more subtle instinct:
 what they like is to be a man's last romance."
                                                        -- oscar wilde
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#545032; Package devicekit-disks. (Tue, 27 Oct 2009 23:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Matthew W. S. Bell" <matthew@bells23.org.uk>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 27 Oct 2009 23:54:03 GMT) Full text and rfc822 format available.

Message #153 received at 545032@bugs.debian.org (full text, mbox):

From: "Matthew W. S. Bell" <matthew@bells23.org.uk>
To: 545032@bugs.debian.org
Subject: Get on with it
Date: Tue, 27 Oct 2009 19:09:16 +0000
Seems this problem in devicekit-disks and dmsetup is either resolved in
one package and waiting on action in the other, or vice versa.  Perhaps
someone would like to get on and do something?

Matthew W.S. Bell






Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#545032; Package devicekit-disks. (Sun, 01 Nov 2009 19:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 01 Nov 2009 19:27:07 GMT) Full text and rfc822 format available.

Message #158 received at 545032@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: 545032@bugs.debian.org, 545032-submitter@bugs.debian.org
Subject: Can I help?
Date: Sun, 1 Nov 2009 19:13:37 +0000
[Message part 1 (text/plain, inline)]
Is this bug fixed yet?  If not, is there something I can do to help?
It's really not okay that GNOME and LVM2 are not co-installable, and if
there's something I can do to make that change, I'm happy to.

Either way, please update the report with this bug's status.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Message sent on to Bastian Blank <waldi@debian.org>:
Bug#545032. (Sun, 01 Nov 2009 19:27:25 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#545032; Package devicekit-disks. (Tue, 03 Nov 2009 20:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 03 Nov 2009 20:54:07 GMT) Full text and rfc822 format available.

Message #166 received at 545032@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Bastian Blank <waldi@debian.org>, 545032@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#545032: Bug#545032: Bug#545032: Bug#545032: Bug#545032: Bug#545032: devicekit-disks - Handles add actions of dm devices
Date: Tue, 03 Nov 2009 21:41:24 +0100
[Message part 1 (text/plain, inline)]
Bastian Blank wrote:
> On Fri, Oct 16, 2009 at 11:55:55PM +0200, Bastian Blank wrote:
>> On Fri, Oct 16, 2009 at 11:43:52PM +0200, Bastian Blank wrote:
>>> Okay. What about point 1 of my list? This still probes device-mapper
>>> devices.
> 
> | - Probe for partitions, aka open, on all block devices with a (small)
> |   blacklist. This can be only allowed with a whitelist, as several
> |   device types may not be queried from add events or not at all, like
> |   several dm subtypes.
> 
>> This patch should use an apropriate whitelist.

So, here is a status update on this issue:
What happened so far is, that I removed the blkid call for dm devices.
I also dropped the devkit-disks-dm-export prober altogether and instead rely on
the information setup by dmsetup/cryptsetup.

The last bit is the devkit-disks-part-id prober.

Unfortunately I can't just drop this prober completely for all dm/md devices, as
you might have partitioning information on such a device.

Discussing with upstream, 95-devkit-disks.rules was changed to only act on
"change" events (and not "add|change") and I additionally added a rule to skip
devices where DM_HIDE==1 is set.

The latest state is at
http://git.debian.org/?p=pkg-utopia/devicekit-disks.git;a=summary

and I plan to upload that soonish as 009-1.

Hopefully this addresses your remaining complaints in a sufficient manner so the
 conflicts in dmsetup can be removed again.

Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#545032; Package devicekit-disks. (Wed, 04 Nov 2009 14:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Wed, 04 Nov 2009 14:12:04 GMT) Full text and rfc822 format available.

Message #171 received at 545032@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Bastian Blank <waldi@debian.org>
Cc: Michael Biebl <biebl@debian.org>, 545032@bugs.debian.org
Subject: Re: Bug#545032: devicekit-disks - Handles add actions of dm devices
Date: Wed, 4 Nov 2009 09:12:29 +0100
[Message part 1 (text/plain, inline)]
On Sun, 18 Oct 2009, Bastian Blank wrote:
> On Fri, Oct 16, 2009 at 11:55:55PM +0200, Bastian Blank wrote:
> > On Fri, Oct 16, 2009 at 11:43:52PM +0200, Bastian Blank wrote:
> > > Okay. What about point 1 of my list? This still probes device-mapper
> > > devices.
> 
> | - Probe for partitions, aka open, on all block devices with a (small)
> |   blacklist. This can be only allowed with a whitelist, as several
> |   device types may not be queried from add events or not at all, like
> |   several dm subtypes.
> 
> > This patch should use an apropriate whitelist.
> 
> Actually it lacks some safe device types.
> 
[ snip patch ]
>
> And while you are at it, add dasd*|cciss* to the presentation list.

I prepared an NMU with the two above changes, Bastian can you confirm that
those are the last changes that you require to drop the Conflicts?

Michael or Martin, can you integrate those 2 patches and upload?

Cheers,
-- 
Raphaël Hertzog
[patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#545032; Package devicekit-disks. (Wed, 04 Nov 2009 15:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Wed, 04 Nov 2009 15:45:03 GMT) Full text and rfc822 format available.

Message #176 received at 545032@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 545032@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#545032: Bug#545032: Bug#545032: Bug#545032: Bug#545032: Bug#545032: devicekit-disks - Handles add actions of dm devices
Date: Wed, 4 Nov 2009 11:31:34 +0100
On Tue, Nov 03, 2009 at 09:41:24PM +0100, Michael Biebl wrote:
> Discussing with upstream, 95-devkit-disks.rules was changed to only act on
> "change" events (and not "add|change")

The rules may still be called with the device suspended and then block
udev to handle further rules and events, including the callback to the
devmapper tools. This is a classic race condition and I have no recipe
for this yet.

> Hopefully this addresses your remaining complaints in a sufficient manner so the
>  conflicts in dmsetup can be removed again.

I accept that for now. But if it starts to break things I'll come back.

Bastian

-- 
War is never imperative.
		-- McCoy, "Balance of Terror", stardate 1709.2




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#545032; Package devicekit-disks. (Wed, 04 Nov 2009 16:27:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Wed, 04 Nov 2009 16:27:13 GMT) Full text and rfc822 format available.

Message #181 received at 545032@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Raphael Hertzog <hertzog@debian.org>
Cc: Bastian Blank <waldi@debian.org>, 545032@bugs.debian.org
Subject: Re: Bug#545032: devicekit-disks - Handles add actions of dm devices
Date: Wed, 04 Nov 2009 11:37:39 +0100
[Message part 1 (text/plain, inline)]
Raphael Hertzog wrote:
> On Sun, 18 Oct 2009, Bastian Blank wrote:
>> On Fri, Oct 16, 2009 at 11:55:55PM +0200, Bastian Blank wrote:
>>> On Fri, Oct 16, 2009 at 11:43:52PM +0200, Bastian Blank wrote:
>>>> Okay. What about point 1 of my list? This still probes device-mapper
>>>> devices.
>> | - Probe for partitions, aka open, on all block devices with a (small)
>> |   blacklist. This can be only allowed with a whitelist, as several
>> |   device types may not be queried from add events or not at all, like
>> |   several dm subtypes.
>>
>>> This patch should use an apropriate whitelist.
>> Actually it lacks some safe device types.
>>
> [ snip patch ]
>> And while you are at it, add dasd*|cciss* to the presentation list.
> 
> I prepared an NMU with the two above changes, Bastian can you confirm that
> those are the last changes that you require to drop the Conflicts?
> 
> Michael or Martin, can you integrate those 2 patches and upload?

Raphael, please see my last email why those changes were not uploaded yet and
how it has been approached differently.
Please do *not* NMU with this patch.

Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#545032; Package devicekit-disks. (Wed, 04 Nov 2009 17:36:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Wed, 04 Nov 2009 17:36:20 GMT) Full text and rfc822 format available.

Message #186 received at 545032@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: Bastian Blank <waldi@debian.org>, 545032@bugs.debian.org
Subject: Re: Bug#545032: devicekit-disks - Handles add actions of dm devices
Date: Wed, 4 Nov 2009 13:49:52 +0100
On Wed, 04 Nov 2009, Michael Biebl wrote:
> > Michael or Martin, can you integrate those 2 patches and upload?
> 
> Raphael, please see my last email why those changes were not uploaded yet and
> how it has been approached differently.

Oh I missed that mail, thanks for the update. I'm not subscribed to the
bug, just annoyed by the conflict and wanted to help resolve the issue
(I did not intend to upload any NMU, it just's a practical way to provide
something ready for the maintainer).

Cheers,
-- 
Raphaël Hertzog




Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Thu, 05 Nov 2009 14:21:03 GMT) Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. (Thu, 05 Nov 2009 14:21:03 GMT) Full text and rfc822 format available.

Message #191 received at 545032-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 545032-close@bugs.debian.org
Subject: Bug#545032: fixed in devicekit-disks 009-1
Date: Thu, 05 Nov 2009 14:17:09 +0000
Source: devicekit-disks
Source-Version: 009-1

We believe that the bug you reported is fixed in the latest version of
devicekit-disks, which is due to be installed in the Debian FTP archive:

devicekit-disks-doc_009-1_all.deb
  to main/d/devicekit-disks/devicekit-disks-doc_009-1_all.deb
devicekit-disks_009-1.diff.gz
  to main/d/devicekit-disks/devicekit-disks_009-1.diff.gz
devicekit-disks_009-1.dsc
  to main/d/devicekit-disks/devicekit-disks_009-1.dsc
devicekit-disks_009-1_i386.deb
  to main/d/devicekit-disks/devicekit-disks_009-1_i386.deb
devicekit-disks_009.orig.tar.gz
  to main/d/devicekit-disks/devicekit-disks_009.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 545032@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated devicekit-disks package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 05 Nov 2009 14:26:06 +0100
Source: devicekit-disks
Binary: devicekit-disks devicekit-disks-doc
Architecture: source all i386
Version: 009-1
Distribution: unstable
Urgency: low
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 devicekit-disks - abstraction for enumerating block devices
 devicekit-disks-doc - abstraction for enumerating block devices - documentation
Closes: 545032 548758
Changes: 
 devicekit-disks (009-1) unstable; urgency=low
 .
   [ Martin Pitt ]
   * New upstream release.
   * 08-dont-probe-dm-devices.patch: Update for new release.
   * Drop 07-media-player-icon.patch as well, it was included upstream in 008.
   * debian/devicekit-disks.postinst: Update udev after installation to pick up
     (changes of) our udev rules. (Closes: #548758)
   * debian/control: Add missing udev dependency.
   * debian/control: Add dependencies to various file system tools which DK-D
     uses to implement its functionality:
     - Recommends: dosfstools, mtools, ntfs-3g (the more popular ones)
     - Suggests: xfsprogs, reiserfsprogs, mdadm, cryptsetup
   * Add 00git-lv-nopolicy.patch: Fix LVM LVs to have NOPOLICY=1 again.
     (Accepted into upstream trunk.)
 .
   [ Michael Biebl ]
   * debian/patches/08-dont-probe-dm-devices.patch
     - Skip probing dm devices (using devkit-disks-part-id) for which DM_HIDE
       is set. (Closes: #545032)
     - Instead of checking for DKD_DM_STATE, test if DM_NAME is setup.
   * Add debian/README.source which refers to the quilt documentation.
   * debian/control: Add Recommends on ntfsprogs for proper NTFS support.
Checksums-Sha1: 
 4b09e1aabac719f7bb744c90ebb9844da926bb25 1765 devicekit-disks_009-1.dsc
 c48e2f0763832996123b26adc0982353721dd7e5 598337 devicekit-disks_009.orig.tar.gz
 43bed31532ffbf157cd4f90f076a724d8d1d74a0 9403 devicekit-disks_009-1.diff.gz
 845937d71b69b58bdf7fa3474b94cd33b221c865 57574 devicekit-disks-doc_009-1_all.deb
 0197cb9e187e033955842f0f1888400caff88566 186116 devicekit-disks_009-1_i386.deb
Checksums-Sha256: 
 a11df7dc5b50bd816498d9dceef4462e9b54e8ae28316742dfca9769715f23ff 1765 devicekit-disks_009-1.dsc
 2e678e3d5fb9b35792c09991d5e088779ef16bb118edf224199883fb9dd1213b 598337 devicekit-disks_009.orig.tar.gz
 1356990c2d2bfb13a9f52aedbc0e6d36c8dd41d027d95f47901d0d17f2fa3bb3 9403 devicekit-disks_009-1.diff.gz
 f0db3ba38db858cf13c9fab34befa669d048b02c27aae76393c417a28f803688 57574 devicekit-disks-doc_009-1_all.deb
 c716eb6f6e51dc8f9f16984fe8acd51959246a7ee905a3d5c6c195abe8ff35ad 186116 devicekit-disks_009-1_i386.deb
Files: 
 4a29a03bce0536f649213494b633be32 1765 admin optional devicekit-disks_009-1.dsc
 2771769829e544e8ffb64297084b9ed9 598337 admin optional devicekit-disks_009.orig.tar.gz
 fd59d4ac39d3e49023f2f407700c77f9 9403 admin optional devicekit-disks_009-1.diff.gz
 87633b3ee407a3bd521e9cd78d6baa17 57574 doc optional devicekit-disks-doc_009-1_all.deb
 b38e832cc4f78fc68c85450a6d86da12 186116 admin optional devicekit-disks_009-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkry2FkACgkQh7PER70FhVQpKgCgu/AeRy1OzPi85bRQI/Dl/ZfP
KPEAn067adRXdcZ3R2qdTBTJ54LS4CPd
=rx2y
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#545032; Package devicekit-disks. (Thu, 05 Nov 2009 19:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Thu, 05 Nov 2009 19:21:03 GMT) Full text and rfc822 format available.

Message #196 received at 545032@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Bastian Blank <waldi@debian.org>, 545032@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#545032: Bug#545032: Bug#545032: Bug#545032: Bug#545032: Bug#545032: Bug#545032: devicekit-disks - Handles add actions of dm devices
Date: Thu, 05 Nov 2009 20:01:16 +0100
[Message part 1 (text/plain, inline)]
Bastian Blank wrote:
> On Tue, Nov 03, 2009 at 09:41:24PM +0100, Michael Biebl wrote:
>> Discussing with upstream, 95-devkit-disks.rules was changed to only act on
>> "change" events (and not "add|change")
> 
> The rules may still be called with the device suspended and then block
> udev to handle further rules and events, including the callback to the
> devmapper tools. This is a classic race condition and I have no recipe
> for this yet.

Should I add a check for DM_SUSPENDED==1 then, just like DM_HIDE?

>> Hopefully this addresses your remaining complaints in a sufficient manner so the
>>  conflicts in dmsetup can be removed again.
> 
> I accept that for now. But if it starts to break things I'll come back.

Fair enough. Admittedly, the interaction between udev,
device-mapper/lvm2/crypsetup/mdadm and dk-disks is not ideal yet.
So constructive input how to improve that in the future, is very much appreciated.
I also strongly believe, that we should closely work with upstream on such
matters, so not every disto is doing "their own thing" and ideally we have a
common set of core udev rules where 3rd party apps can rely on.

Which leads me to a bit unrelated question: Your dm/lvm2 udev rules look quite
well written, but they also look significantly different from what upstream lvm2
is shipping.
Have you considered to push your changes upstream?
What about --enable-udev_sync, is this something we want in Debian?

Cheers,
Michael

P.S: dk-disks 009-1 has been uploaded today, so I would appreciate of dmsetup	at
your earliest convenience

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 14 Dec 2009 07:30:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:17:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.